cl.cromer.estructuras

## Class ColaController

- java.lang.Object
- - cl.cromer.estructuras.ColaController

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class ColaController
    extends java.lang.Object
    implements javafx.fxml.Initializable

Esta clase es para controlar todos la interfaz de Cola.

Author:
  Chris Cromer

### Field Summary

Fields
`private javafx.scene.text.Text` `codigoCola` Donde va el codigo a mostrar a la pantalla.
`private Cola` `cola` La cola usado en la aplicación.
`private javafx.scene.layout.VBox` `contenidoCola` Donde poner el contenido de array.
`private Grafico` `grafico` Grafico rectangulos.
`private java.util.ResourceBundle` `resourceBundle` Donde está guardado los idiomas.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.
`private TextFieldLimited` `valorCola` La caja para ingresar textos.

### Constructor Summary

Constructors
Constructor and Description
`ColaController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `botonLlenar()` Llenar la cola con numeros al azar.
`protected void` `botonPeek()` Peek a ver si existe un elemento en la pila y mostrar el codigo en la pantalla Si existe un valor destacarlo.
`protected void` `botonPop()` Pop un valor de la pila si existe y mostrar el codigo en la pantalla.
`protected void` `botonPush()` Push un valor a la cola y mostrar el codigo en la pantalla.
`protected void` `botonVaciar()` Vaciar la cola de todos los valores.
`private void` `generarGrafico()` Poner los valores en el grafico.
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicializar todos los datos y dibujar las graficas.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### valorCola

    private TextFieldLimited valorCola

La caja para ingresar textos.

#### contenidoCola

    private javafx.scene.layout.VBox contenidoCola

Donde poner el contenido de array.

#### codigoCola

    private javafx.scene.text.Text codigoCola

Donde va el codigo a mostrar a la pantalla.

#### scene

    private javafx.scene.Scene scene

La escena donde está cosas graficas.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Donde está guardado los idiomas.

#### cola

    private Cola cola

La cola usado en la aplicación.

#### grafico

    private Grafico grafico

Grafico rectangulos.

### Constructor Detail

#### ColaController

    public ColaController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicializar todos los datos y dibujar las graficas.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: El URL de fxml en uso.
  `resourceBundle` - ResourceBundle: Tiene datos de idioma.

#### botonLlenar

    protected void botonLlenar()

Llenar la cola con numeros al azar.

#### botonVaciar

    protected void botonVaciar()

Vaciar la cola de todos los valores.

#### botonPush

    protected void botonPush()

Push un valor a la cola y mostrar el codigo en la pantalla.

#### botonPop

    protected void botonPop()

Pop un valor de la pila si existe y mostrar el codigo en la pantalla.

#### botonPeek

    protected void botonPeek()

Peek a ver si existe un elemento en la pila y mostrar el codigo en la pantalla Si existe un valor destacarlo.

#### generarGrafico

    private void generarGrafico()

Poner los valores en el grafico.